%{?mingw_package_header}

Name:           mingw-nettle
Version:        3.7.2
Release:        %mkrel 3

Summary: MinGW package for nettle cryptographic library
License: LGPLv3+ or GPLv2+
Group:   Development/Other
URL:    https://www.lysator.liu.se/~nisse/nettle/
# https://www.lysator.liu.se/~nisse/archive/nettle-%%{version}.tar.gz
Source: nettle-%{version}-hobbled.tar.xz
Patch0: nettle-3.7.2-suppress-maybe-uninit.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gmp
BuildRequires:  mingw64-gmp
BuildRequires:  mingw32-openssl
BuildRequires:  mingw64-openssl

BuildRequires:  autoconf, automake
BuildRequires:  gcc
BuildRequires:  m4


%description
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space.


# Mingw32
%package -n mingw32-nettle
Summary: MinGW package for nettle cryptographic library


%description -n mingw32-nettle
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space.


# Mingw64
%package -n mingw64-nettle
Summary: MinGW package for nettle cryptographic library


%description -n mingw64-nettle
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space.


%{?mingw_debug_package}


%prep
%setup -q -n nettle-%{version}
# Disable -ggdb3 which makes debugedit unhappy
sed s/ggdb3/g/ -i configure
sed 's/ecc-secp192r1.c//g' -i Makefile.in
sed 's/ecc-secp224r1.c//g' -i Makefile.in
%patch -P 0 -p1 -b .ecc

%build
autoreconf -ifv
%mingw_configure --enable-shared --enable-fat
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libnettle.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libnettle.a
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libhogweed.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libhogweed.a
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}/
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}/


# Win32
%files -n mingw32-nettle
%doc README
%license COPYINGv2 COPYING.LESSERv3
%{mingw32_bindir}/nettle-hash.exe
%{mingw32_bindir}/nettle-lfib-stream.exe
%{mingw32_bindir}/nettle-pbkdf2.exe
%{mingw32_bindir}/pkcs1-conv.exe
%{mingw32_bindir}/sexp-conv.exe
%{mingw32_bindir}/libnettle-8.dll
%{mingw32_bindir}/libhogweed-6.dll
%{mingw32_libdir}/libnettle.dll.a
%{mingw32_libdir}/libhogweed.dll.a
%{mingw32_libdir}/pkgconfig/nettle.pc
%{mingw32_libdir}/pkgconfig/hogweed.pc
%dir %{mingw32_includedir}/nettle
%{mingw32_includedir}/nettle/*.h


# Win64
%files -n mingw64-nettle
%doc README
%license COPYINGv2 COPYING.LESSERv3
%{mingw64_bindir}/nettle-hash.exe
%{mingw64_bindir}/nettle-lfib-stream.exe
%{mingw64_bindir}/nettle-pbkdf2.exe
%{mingw64_bindir}/pkcs1-conv.exe
%{mingw64_bindir}/sexp-conv.exe
%{mingw64_bindir}/libnettle-8.dll
%{mingw64_bindir}/libhogweed-6.dll
%{mingw64_libdir}/libnettle.dll.a
%{mingw64_libdir}/libhogweed.dll.a
%{mingw64_libdir}/pkgconfig/nettle.pc
%{mingw64_libdir}/pkgconfig/hogweed.pc
%dir %{mingw64_includedir}/nettle
%{mingw64_includedir}/nettle/*.h


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 3.7.2-3.mga10
+ Revision: 2127843
- Rebuild for patchN deprecation

* Wed Mar 30 2022 umeabot <umeabot> 3.7.2-2.mga9
+ Revision: 1834131
- Mageia 9 Mass Rebuild

* Thu Apr 15 2021 daviddavid <daviddavid> 3.7.2-1.mga9
+ Revision: 1715854
- new version: 3.7.2

* Sat Sep 26 2020 tv <tv> 3.5.1-3.mga8
+ Revision: 1630214
- rebuild for new mingw stack

* Sun Feb 16 2020 umeabot <umeabot> 3.5.1-2.mga8
+ Revision: 1534265
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 daviddavid <daviddavid> 3.5.1-1.mga8
+ Revision: 1448629
- new version: 3.5.1

* Wed Dec 26 2018 daviddavid <daviddavid> 3.4.1-1.mga7
+ Revision: 1345085
- new version: 3.4.1

* Thu Sep 20 2018 umeabot <umeabot> 3.4-2.mga7
+ Revision: 1279925
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 daviddavid <daviddavid> 3.4-1.mga7
+ Revision: 1239858
- new version: 3.4

* Wed May 11 2016 tv <tv> 3.2-1.mga6
+ Revision: 1012757
- new release

* Fri Feb 05 2016 umeabot <umeabot> 2.6-5.mga6
+ Revision: 939307
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6-4.mga5
+ Revision: 747411
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 682498
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 2.6-2.mga4
+ Revision: 547288
- imported package mingw-nettle

